#
# spec file for package libtasn1
#
# Copyright (c) 2022-2023 ZhuningOS
#


%define somajor 6
Name:           libtasn1
Version:        4.13
Release:        150000.4.8.1
Summary:        ASN.1 parsing library
License:        LGPL-2.1-or-later AND GPL-3.0-only
Group:          Productivity/Networking/Security
Url:            https://www.gnu.org/software/libtasn1/
Source0:        http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
# http://josefsson.org/key.txt
Source2:        %{name}.keyring
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM libtasn1-object-id-recursion.patch boo#1105435 mgorse@suse.com -- limit recursion in _asn1_expand_object_id.
Patch0:         libtasn1-object-id-recursion.patch
Patch1:		libtasn1-CVE-2021-46848.patch
BuildRequires:  info
BuildRequires:  pkgconfig
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the ASN.1 library used by GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org

%package -n libtasn1-%{somajor}
Summary:        ASN.1 parsing library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libtasn1-%{somajor}
This is the ASN.1 library used by GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org

%package devel
Summary:        Development files for the ASN.1 parsing library
Group:          Development/Libraries/C and C++
Requires:       libtasn1-%{somajor} = %{version}

%description devel
This is the ASN.1 library used by GNUTLS. More up to date information
can be found at http://www.gnu.org/software/gnutls and
http://www.gnutls.org

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n libtasn1-%{somajor} -p /sbin/ldconfig
%postun -n libtasn1-%{somajor} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%license COPYING.LIB
%doc NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*.1%{ext_man}
%{_infodir}/*.info%{ext_info}

%files -n libtasn1-%{somajor}
%defattr(-, root, root)
%{_libdir}/*.so.%{somajor}*

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtasn1.pc
%{_mandir}/man3/*.3%{ext_man}

%changelog
